#include <bits/stdc++.h>
using namespace std;
#define int long long
signed main(){
    int n, m;
    cin>>n>>m;
    int a[m];
    for(int i = 0; i < m; i++){
        cin>>a[i];
    }
    sort(a, a + m);
    int i = 0;
    vector<int>vec;
    while(i < m){
        int b = a[i];
        int cnt = 0;
        while(a[i] == b && i < m){
            i++;
            cnt++;
        }
        if(cnt >= n){
            vec.push_back(b);
        }
    }
    cout<<vec.size()<<'\n';
    for(int i = 0; i < vec.size(); i++){
        cout<<vec[i]<<' ';
    }
}
